FAQ

1) Since your online tutoring service can be used by students all over the United States, why is it called Hudson Valley eTutor?

We love New York and call the Hudson Valley our home. Since 1878, NY State has been a leader in public science education at the secondary level. We are proud to continue this tradition of leadership in science education.

2) If I live outside of New York, can I still use Hudson Valley eTutor?

Yes! We are able to tailor our hours to your time zone.

3) When are the January 2015 Regents Exams being given?

High School Level State Examination Schedule for January 2015

4) Can I do the videoconferencing on my smartphone and tablet?

Most likely yes! Check the device requirements below. We are happy to meet with you online and/or by phone if you’d like to try out our videoconferencing service before you purchase a session.

5) What are the minimum device requirements that I’ll need to meet online with one of your teachers?

System Requirements for Our Videoconferencing Platform

The following is from Adobe.com’s Tech Specs page for Adobe Connect version 9.2 (8/1/2014):

Windows

  • 1.4GHz Intel® Pentium® 4 or faster processor (or equivalent) for Microsoft® Windows® XP, Windows 7 or Windows 8
  • Windows 8.1 (32-bit/64-bit), Windows 8 (32-bit/64-bit), Windows 7 (32-bit/64-bit), Windows XP
  • 512MB of RAM (1GB recommended) for Windows XP, Windows 7 or Windows 8
  • Microsoft Internet Explorer 8, 9, 10, 11; Mozilla Firefox; Google Chrome
  • Adobe® Flash® Player 11.2+

Mac OS

  • 1.83GHz Intel Core™ Duo or faster processor
  • 512MB of RAM (1GB recommended)
  • Mac OS X 10.7.4, 10.8, 10.9
  • Mozilla Firefox; Apple Safari; Google Chrome
  • Adobe Flash Player 11.2+

Linux

  • Ubuntu 12.04; Red Hat Enterprise Linux 6; OpenSuSE 12.2
  • No Add-in support for Linux. Users on Linux can attend meetings in the browser.
  • Mozilla Firefox
  • Adobe Flash Player 11.2+

Mobile

  • Apple supported devices: iPhone 5S, iPhone 5, iPhone 4S, iPad with Retina display, iPad 3, iPad 2, iPad mini, and iPod touch (4th & 5th generations)
  • Apple supported OS versions summary: iOS 6 and higher
  • Android supported devices: Motorola DROID RAZR MAXX, Motorola Atrix, Motorola Xoom, Samsung Galaxy Tab 2 10.1, Samsung Galaxy S3 & S4, Nexus 7 tablet
  • Android supported OS versions summary: 2.3.4 and higher

NOTE:

– On Android devices, the Adobe Connect Mobile 2.1 app no longer requires the Adobe AIR Runtime to be installed

– All features of Adobe Connect Mobile are supported when attending meetings on Adobe Connect Server version 8.2 and higher, from a supported mobile device

– New features added in Adobe Connect Mobile 2.1 may not be enabled in all Adobe Connect Server meetings running on an 8.1 or older server

– Meeting server must be Adobe Connect 7.5.1 or higher in order to use Adobe Connect Mobile 2.1

Virtual environments

  • Citrix XenApp 6.5
  • VMware View 5.1

Additional requirements

  • Bandwidth: 512Kbps for participants, meeting attendees, and end users of Adobe Connect applications. Connection: DSL/cable (wired connection recommended) for Adobe Connect presenters, administrators, trainers, and event and meeting hosts.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google+ photo

You are commenting using your Google+ account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

w

Connecting to %s

Value, Understand, & Enjoy Science: Live Online Tutoring & Other Educational Services

%d bloggers like this: